Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceMonitoring

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceMonitoring

    public class InstanceMonitoring

extends Object

Represents the monitoring state of an EC2 instance.

Constructor Summary
`InstanceMonitoring()`

Method Summary
`String` | `getInstanceId()` Instance ID.
`Monitoring` | `getMonitoring()` Monitoring state for the associated instance.
`void` | `setInstanceId(String instanceId)` Instance ID.
`void` | `setMonitoring(Monitoring monitoring)` Monitoring state for the associated instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceMonitoring` | `withInstanceId(String instanceId)` Instance ID.
`InstanceMonitoring` | `withMonitoring(Monitoring monitoring)` Monitoring state for the associated instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceMonitoring

    public InstanceMonitoring()

Method Detail

### getInstanceId

    public String getInstanceId()

  Instance ID.

  Returns:
    Instance ID.

### setInstanceId

    public void setInstanceId(String instanceId)

  Instance ID.

  Parameters:
    `instanceId` - Instance ID.

### withInstanceId

    public InstanceMonitoring withInstanceId(String instanceId)

  Instance ID.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - Instance ID.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMonitoring

    public Monitoring getMonitoring()

  Monitoring state for the associated instance.

  Returns:
    Monitoring state for the associated instance.

### setMonitoring

    public void setMonitoring(Monitoring monitoring)

  Monitoring state for the associated instance.

  Parameters:
    `monitoring` - Monitoring state for the associated instance.

### withMonitoring

    public InstanceMonitoring withMonitoring(Monitoring monitoring)

  Monitoring state for the associated instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `monitoring` - Monitoring state for the associated instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.